Apple users urged to install new security update

Apple released important security patches in iOS 14.8 following reports of new spyware exploiting a serious vulnerability in the iMessanger service.

The “zero-click” spyware allowed hackers to access devices through the iMessanger service without any input or knowledge from the user.

Citizen Lab said the security flaw has been exploited to plant spyware on a Saudi activist’s iPhone and that the previously unknown vulnerability affected all major Apple devices.

Most users should not be overly concerned about this discovery as Security experts claim these types of attacks are usually highly targeted. Apple says it had issued the patches after becoming aware of a report that the vulnerability could have been actively exploited.

This is a reminder that no device or service is 100% safe and can be hacked by a well determined and funded team.

You are recommended to update your Apple devices as soon as possible to patch the security hole, although for vast majority the risk of being targeted by expensive and highly-skilled hacking is fairly low.